%define languageenglazy Tsonga
%define languagecode    ts
%define lc_ctype        ts_ZA

%define upstream_version 20091101

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://www.translate.org.za/
Source0:        http://releases.mozilla.org/pub/mozilla.org/addons/46611/tsonga__south_africa__dictionary-%{upstream_version}-fx+tb.xpi

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ts
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/ts-ZA.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/ts-ZA.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README-ts-ZA.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20091101.1-7.mga4
+ Revision: 505872
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20091101.1-6.mga3
+ Revision: 353747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20091101.1-5.mga2
+ Revision: 224891
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20091101.1-4.mga2
+ Revision: 209131
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20091101.1-2.mga1
+ Revision: 69174
- imported package hunspell-ts


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20091101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 20 2010 Caolán McNamara <caolanm@redhat.com> - 0.20091101-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060123-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060123-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Caolán McNamara <caolanm@redhat.com> - 0.20060123-1
- initial version
